summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authoreroen2014-03-09 11:59:35 +0100
committereroen2014-03-09 18:21:15 +0100
commit6e5e34fe1a003accc98fd457fb971d2e5731bfe7 (patch)
treebb75a1d183ebf2cc0526c97255ba2358c87199b6
parent9f1f4593e68a4c2325d024551461436985f3bcbd (diff)
downloaderoen-overlay-6e5e34fe1a003accc98fd457fb971d2e5731bfe7.tar.gz
eroen-overlay-6e5e34fe1a003accc98fd457fb971d2e5731bfe7.tar.bz2
eroen-overlay-6e5e34fe1a003accc98fd457fb971d2e5731bfe7.tar.xz
isso - drop pypi package support
-rw-r--r--www-apps/isso/isso-9999.ebuild115
1 files changed, 46 insertions, 69 deletions
diff --git a/www-apps/isso/isso-9999.ebuild b/www-apps/isso/isso-9999.ebuild
index a9dc4b5f..f11766da 100644
--- a/www-apps/isso/isso-9999.ebuild
+++ b/www-apps/isso/isso-9999.ebuild
@@ -26,23 +26,17 @@ if [[ $PV == *9999* ]]; then
VCS_DEPEND="dev-vcs/git[curl]"
else
inherit user distutils-r1
- SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz
- https://raw.github.com/posativ/${PN}/${PV%.*}/docs/${PN}.example.cfg -> ${P}.example.cfg"
+ SRC_URI="https://github.com/posativ/${PN}/archive/${PV}.tar.gz"
fi
DESCRIPTION="lightweight Disqus alternative"
HOMEPAGE="http://posativ.org/isso/ https://pypi.python.org/pypi/isso/ https://github.com/posativ/isso/"
-# BSD: pbkdf2.js sha1.js crypto.py?
+# BSD: pbkdf2.js sha1.js crypto.py
LICENSE="MIT BSD"
SLOT="0"
KEYWORDS=""
-IUSE=""
-if [[ ${PV} == *9999* ]]; then
- IUSE+=" debug doc test"
- DOCS=( README.md CHANGES.rst docs/{contribute.rst,faq.rst,isso.example.cfg} )
-else
- DOCS=( "${DISTDIR}"/${P}.example.cfg )
-fi
+IUSE="debug doc test"
+DOCS=( README.md CHANGES.rst docs/{contribute.rst,faq.rst,isso.example.cfg} )
LIBDEPEND="dev-python/html5lib[${PYTHON_USEDEP}]
dev-python/itsdangerous[${PYTHON_USEDEP}]
@@ -55,18 +49,13 @@ LIBDEPEND="dev-python/html5lib[${PYTHON_USEDEP}]
$(python_gen_cond_dep \
">=dev-python/werkzeug-0.9[$(python_gen_usedep 'python3*')]" \
'python3*')"
-HDEPEND="dev-python/setuptools[${PYTHON_USEDEP}]"
-if [[ ${PV} == *9999* ]]; then
- HDEPEND+=" ${VCS_DEPEND}
- dev-ruby/sass
- net-libs/nodejs
- doc? ( dev-python/sphinx )"
-fi
-DEPEND="${HDEPEND}"
-if [[ ${PV} == *9999* ]]; then
- DEPEND+=" test? ( dev-python/nose[${PYTHON_USEDEP}]
+HDEPEND="dev-python/setuptools[${PYTHON_USEDEP}]
+ dev-ruby/sass
+ net-libs/nodejs
+ doc? ( dev-python/sphinx )"
+DEPEND="${HDEPEND}
+ test? ( dev-python/nose[${PYTHON_USEDEP}]
${LIBDEPEND} )"
-fi
RDEPEND="dev-python/setuptools[${PYTHON_USEDEP}]
${LIBDEPEND}"
@@ -102,65 +91,53 @@ src_unpack() {
}
src_compile() {
- if [[ ${PV} == *9999* ]]; then
- # build r.js
- pushd "${WORKDIR}"/r.js.git 2>/dev/null
- node dist.js || die
- popd 2>/dev/null
- local RJS=${WORKDIR}/r.js.git/r.js
-
- # generate css
- scss isso/css/isso.scss isso/css/isso.css || die
-
- # generate js using r.js
- node "${RJS}" -o isso/js/build.embed.js || die
- node "${RJS}" -o isso/js/build.count.js || die
- if use debug; then
- node "${RJS}" -o isso/js/build.embed.js optimize="none" out="isso/js/embed.dev.js" || die
- node "${RJS}" -o isso/js/build.count.js optimize="none" out="isso/js/count.dev.js" || die
- fi
+ # build r.js
+ pushd "${WORKDIR}"/r.js.git 2>/dev/null
+ node dist.js || die
+ popd 2>/dev/null
+ local RJS=${WORKDIR}/r.js.git/r.js
+
+ # generate css
+ scss isso/css/isso.scss isso/css/isso.css || die
+
+ # generate js using r.js
+ node "${RJS}" -o isso/js/build.embed.js || die
+ node "${RJS}" -o isso/js/build.count.js || die
+ if use debug; then
+ node "${RJS}" -o isso/js/build.embed.js optimize="none" out="isso/js/embed.dev.js" || die
+ node "${RJS}" -o isso/js/build.count.js optimize="none" out="isso/js/count.dev.js" || die
fi
- distutils-r1_src_compile
-}
-python_compile_all() {
- if [[ ${PV} == *9999* ]]; then
- if use doc; then
- mkdir -p "${T}"/html || die
- pushd docs 2>/dev/null || die
- sphinx-build -E -b dirhtml -a . "${T}"/html || die
- popd 2>/dev/null || die
- mkdir -p "${T}"/html/_static/css || die
- scss docs/_static/css/site.scss "${T}"/html/_static/css/site.css || die
- fi
+ if use doc; then
+ mkdir -p "${T}"/html || die
+ pushd docs 2>/dev/null || die
+ sphinx-build -E -b dirhtml -a . "${T}"/html || die
+ popd 2>/dev/null || die
+ mkdir -p "${T}"/html/_static/css || die
+ scss docs/_static/css/site.scss "${T}"/html/_static/css/site.css || die
fi
+
+ distutils-r1_src_compile
}
python_test() {
- if [[ ${PV} == *9999* ]]; then
- # doctests fail, require https://github.com/gnublade/doctest-ignore-unicode
- nosetests \
- --with-coverage --cover-package=isso \
- isso/ specs/ \
- || die "tests failed"
- #nosetests --with-doctest --with-doctest-ignore-unicode \
- # --with-coverage --cover-package=isso \
- # isso/ specs/ \
- # || die "tests failed"
- fi
+ # doctests fail, require https://github.com/gnublade/doctest-ignore-unicode
+ nosetests \
+ --with-coverage --cover-package=isso \
+ isso/ specs/ \
+ || die "tests failed"
+ #nosetests --with-doctest --with-doctest-ignore-unicode \
+ # --with-coverage --cover-package=isso \
+ # isso/ specs/ \
+ # || die "tests failed"
}
python_install_all() {
distutils-r1_python_install_all
- if [[ ${PV} == *9999* ]]; then
- insinto /etc
- newins docs/isso.example.cfg ${PN}.conf
- use doc && dodoc -r "${T}"/html
- else
- insinto /etc
- newins "${DISTDIR}"/${P}.example.cfg ${PN}.conf
- fi
+ insinto /etc
+ newins docs/isso.example.cfg ${PN}.conf
+ use doc && dodoc -r "${T}"/html
newinitd "${FILESDIR}"/${PN}.initd ${PN}
newconfd "${FILESDIR}"/${PN}.confd ${PN}